> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all permission relations for a user



## OpenAPI

````yaml /openapi.json get /relations/permission-relations
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /relations/permission-relations:
    get:
      tags:
        - relations
      summary: Get all permission relations for a user
      operationId: RelationsController_getPermissionRelationsForUser
      parameters:
        - name: productId
          required: false
          in: query
          description: The productId
          schema:
            type: string
        - name: userId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPermissionRelationsForUserOutput'
components:
  schemas:
    GetPermissionRelationsForUserOutput:
      type: object
      properties:
        relations:
          type: array
          items:
            $ref: '#/components/schemas/PermissionRelation'
      required:
        - relations
    PermissionRelation:
      type: object
      properties:
        roles:
          type: array
          items:
            type: string
        forbiddenRoles:
          type: array
          items:
            type: string
        childRoles:
          type: array
          items:
            type: string
        resources:
          type: array
          items:
            type: string
        type:
          type: string
      required:
        - roles
        - resources
        - type

````